namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class GrasslandTrailMixItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Grassland Trail Mix"; } }
        public override string Description                      { get { return "Seed snack from the grassland."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 6, Fat = 3, Protein = 1, Vitamins = 2};
        public override float Calories                          { get { return 250; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(SeedProductionSkill), 1)]    
    public partial class GrasslandTrailMixRecipe : Recipe
    {
        public GrasslandTrailMixRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<GrasslandTrailMixItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<BeetSeedItem>(typeof(SeedProductionEfficiencySkill), 10, SeedProductionEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<CornSeedItem>(typeof(SeedProductionEfficiencySkill), 10, SeedProductionEfficiencySkill.MultiplicativeStrategy),
                new CraftingElement<WheatSeedItem>(typeof(SeedProductionEfficiencySkill), 10, SeedProductionEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(GrasslandTrailMixRecipe), Item.Get<GrasslandTrailMixItem>().UILink(), 0.5f, typeof(SeedProductionSpeedSkill)); 
            this.Initialize("Grassland Trail Mix", typeof(GrasslandTrailMixRecipe));
            CraftingComponent.AddRecipe(typeof(FarmersTableObject), this);
        }
    }
}